Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface Query

public interface Query

The Query interface encapsulates a query in a declarative query language. Currently a Query can be an SQL query or an ebXML Filter Query only. In future support for other query languages such as XQL query may be added. The query must conform to a fixed schema as defined by the JAXR specification.

Author:
  Farrukh S. Najmi

Field Summary
`static int` | `QUERY_TYPE_EBXML_FILTER_QUERY` An OASIS ebXML Registry XML Filter Query type.
`static int` | `QUERY_TYPE_SQL` An SQL query type.
`static int` | `QUERY_TYPE_XQUERY` A W3C XQuery type.

Method Summary
`int` | `getType()` Gets the type of Query (for example, QUERY_TYPE_SQL).
`java.lang.String` | `toString()` Returns the String representing the query.

Field Detail

### QUERY_TYPE_SQL

    public static final int QUERY_TYPE_SQL

  An SQL query type.

  See Also:
    Constant Field Values

### QUERY_TYPE_XQUERY

    public static final int QUERY_TYPE_XQUERY

  A W3C XQuery type.

  See Also:
    Constant Field Values

### QUERY_TYPE_EBXML_FILTER_QUERY

    public static final int QUERY_TYPE_EBXML_FILTER_QUERY

  An OASIS ebXML Registry XML Filter Query type.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()
                throws JAXRException

  Gets the type of Query (for example, QUERY_TYPE_SQL).

  Capability Level: 1

  Returns:
    the type of query
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `QUERY_TYPE_SQL`, `QUERY_TYPE_XQUERY`, `QUERY_TYPE_EBXML_FILTER_QUERY`

### toString

    public java.lang.String toString()

  Returns the String representing the query. For example, in the case of an SQL query, returns the SQL query as a string.

  Capability Level: 1

  Returns:
    the String representation for this query

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.